#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.

%define rel 2

Summary:        KDE Frameworks 5 Tier 3 integration module for WebKit
Name:           kdewebkit
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5OpenGL)
BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(Qt5WebKit)
BuildRequires: pkgconfig(Qt5WebKitWidgets)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Test)

BuildRequires:  attica-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  kwidgetsaddons-devel >= %version
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kguiaddons-devel >= %version
BuildRequires:  kservice-devel >= %version
BuildRequires:  kwindowsystem-devel >= %version
BuildRequires:  kitemviews-devel >= %version
BuildRequires:  kconfigwidgets-devel >= %version
BuildRequires:  kiconthemes-devel >= %version
BuildRequires:  solid-devel >= %version
BuildRequires:  kcompletion-devel >= %version
BuildRequires:  ktextwidgets-devel >= %version
BuildRequires:  kxmlgui-devel >= %version
BuildRequires:  kbookmarks-devel >= %version
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kwallet-devel >= %version
BuildRequires:  kio-devel >= %version
BuildRequires:  knotifications-devel >= %version
BuildRequires:  kparts-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  kauth-devel >= %version
BuildRequires:  kcodecs-devel >= %version
BuildRequires:  sonnet-devel >= %version
BuildRequires:  kglobalaccel-devel >= %version
BuildRequires:  kjobwidgets-devel >= %version

%description
KDE Frameworks 5 Tier 3 integration module for WebKit

#--------------------------------------------------------------------

%define kf5webkit_major 5
%define libkf5webkit %mklibname kf5webkit %{kf5webkit_major}

%package -n %libkf5webkit
Summary:  KDE Frameworks 5 Tier 3 integration module for WebKit
Group:        System/Libraries

%description -n %libkf5webkit
KDE Frameworks 5 Tier 3 integration module for WebKit

%files -n %libkf5webkit
%_kf5_libdir/libKF5WebKit.so.%{kf5webkit_major}*

#--------------------------------------------------------------------

%define kf5webkit_devel %mklibname kf5webkit -d

%package -n %kf5webkit_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5webkit = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5webkit_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5webkit_devel
%_kf5_includedir/KDEWebKit
%_kf5_includedir/kdewebkit_version.h
%_kf5_libdir/cmake/KF5WebKit
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build



%changelog
* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-2.mga6
+ Revision: 1089492
- Rebuild for ARM

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088961
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074532
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072193
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058352
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050529
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045107
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041329
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021927
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014337
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999633
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986326
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942246
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921279
- New version 5.18.0
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909882
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900483
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899446
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898923
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888163
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881387
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862948
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862694
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853950
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841570
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803355
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 750146
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681022
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660427
- New version 5.1.0

* Tue Jul 15 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 652242
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599822
- New version 4.97.0

* Wed Feb 26 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597438
- imported package kdewebkit

